Skip to content
Start here

Update Credential

client.vulnerabilityScanner.credentialSets.credentials.update(stringcredentialSetId, stringcredentialId, CredentialUpdateParams { account_id, location, location_name, 2 more } params, RequestOptionsoptions?): CredentialUpdateResponse { id, credential_set_id, location, 2 more }
PUT/accounts/{account_id}/vuln_scanner/credential_sets/{credential_set_id}/credentials/{credential_id}

Replaces a credential. All fields must be provided.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
ParametersExpand Collapse
credentialSetId: string
formatuuid
credentialId: string
formatuuid
params: CredentialUpdateParams { account_id, location, location_name, 2 more }
account_id: string

Path param: Identifier.

maxLength32
location: "header" | "cookie"

Body param: Where the credential is attached in outgoing requests.

One of the following:
"header"
"cookie"
location_name: string

Body param: Name of the header or cookie where the credential is attached.

name: string

Body param: Human-readable name.

value: string

Body param: The credential value. Write-only. Never returned in responses.

ReturnsExpand Collapse
CredentialUpdateResponse { id, credential_set_id, location, 2 more }

A credential attached to API requests during scanning. The credential value is write-only and never returned in responses.

id: string

Credential identifier.

formatuuid
credential_set_id: string

Parent credential set identifier.

formatuuid
location: "header" | "cookie"

Where the credential is attached in outgoing requests.

One of the following:
"header"
"cookie"
location_name: string

Name of the header or cookie where the credential is attached.

name: string

Human-readable name.

Update Credential

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const credential = await client.vulnerabilityScanner.credentialSets.credentials.update(
  '182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e',
  '182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e',
  {
    account_id: '023e105f4ecef8ad9ca31a8372d0c353',
    location: 'header',
    location_name: 'Authorization',
    name: 'Admin API key',
    value: 'Bearer EXAMPLE_TOKEN',
  },
);

console.log(credential.id);
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    "credential_set_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    "location": "header",
    "location_name": "Authorization",
    "name": "Admin API key"
  },
  "result_info": {}
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    "credential_set_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    "location": "header",
    "location_name": "Authorization",
    "name": "Admin API key"
  },
  "result_info": {}
}